#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libxklavier
Version		:	5.4
Release		:	14.4.0.0%{?dist}
Summary		:	High-level API for X Keyboard Extension
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://people.freedesktop.org/~svu/

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	gobject-introspection
BuildRequires	:	iso-codes
BuildRequires	:	xorg-libX11
#-----------------------------------------------------------------------------
%description
libxklavier is a library providing a high-level API for the X Keyboard
Extension (XKB). This library is intended to support XFree86 and other
commercial X servers. It is useful for creating XKB-related software
(layout indicators etc).

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

LIBDIR=/usr/lib64					\
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-vala=no				\
	--disable-static				\

%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%files			
%defattr(-,root,root,-)

%doc AUTHORS CREDITS NEWS README 
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}.so*
%{_libdir}/%{name}.la
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/girepository-1.0/X*-1.0.typelib
%{_datadir}/gir-1.0/X*-1.0.gir
%{_datadir}/gtk-doc/html/%{name}/*.{html,png,sgml}
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp2

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
